
package com.tmerclub.cloud.common.product.constant;

/**
 * 商品类型
 *
 * @author yxf
 * @date 2020/11/20
 */
public enum SpuType {

    /**
     * 普通商品类型
     */
    NORMAL(0, "普通商品"),

    /**
     * 团购商品类型
     */
    GROUP(1, "团购商品"),
    /**
     * 秒杀商品类型
     */
    SECKILL(2, "秒杀商品"),
    /**
     * 积分商品类型
     */
    SCORE(3, "积分商品"),
    /**
     * 预售商品类型
     */
    PRESALE(4, "预售商品"),
    /**
     * 活动商品类型
     */
    ACTIVE(5, "活动商品");

    private final Integer value;

    private final String spuTypeName;

    public Integer value() {
        return value;
    }

    public String getSpuTypeName() {
        return spuTypeName;
    }

    SpuType(Integer value, String spuTypeName) {
        this.value = value;
        this.spuTypeName = spuTypeName;
    }

    public static String getSpuTypeName(Integer value) {
        SpuType[] enums = values();
        for (SpuType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum.spuTypeName;
            }
        }
        return null;
    }

}
